<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph"
    app:startDestination="@id/fragmentHome">

    <fragment
        android:id="@+id/fragmentHome"
        android:name="cat.itb.mainwhatsapp.Fragments.main.FragmentHome"
        android:label="fragment_home"
        tools:layout="@layout/fragment_home" >
        <action
            android:id="@+id/action_fragmentHome_to_contactFragment"
            app:destination="@id/contactFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:popUpTo="@id/fragmentHome"
            app:popUpToInclusive="false" />
        <action
            android:id="@+id/action_fragmentHome_to_fragmentChat"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:popUpTo="@id/fragmentHome"
            app:destination="@id/fragmentChat" />
        <action
            android:id="@+id/action_fragmentHome_to_settingsFragment"
            app:destination="@id/settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:popUpTo="@id/fragmentHome"/>
        <action
            android:id="@+id/action_fragmentHome_to_estadoFragment2"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/estadoFragment" />
    </fragment>
    <fragment
        android:id="@+id/splashScreenFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.launcher.SplashScreenFragment"
        android:label="splash_screen"
        tools:layout="@layout/splash_screen" >
        <action
            android:id="@+id/action_splashScreenFragment_to_fragmentHome"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/fragmentHome" />
    </fragment>
    <fragment
        android:id="@+id/contactFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.main.ContactFragment"
        android:label="fragment_contact"
        tools:layout="@layout/fragment_contact" >
        <action
            android:id="@+id/action_contactFragment_to_fragmentChat"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/fragmentChat" />
    </fragment>
    <fragment
        android:id="@+id/fragmentChat"
        android:name="cat.itb.mainwhatsapp.Fragments.chat.FragmentChat"
        android:label="FragmentChat">
        <argument
            android:name="userToChat"
            app:argType="cat.itb.mainwhatsapp.Model.User" />
        <action
            android:id="@+id/action_fragmentChat_to_fragmentChatProfile"
            app:destination="@id/fragmentChatProfile" />
    </fragment>
    <fragment
        android:id="@+id/settingsFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsFragment"
        android:label="fragment_settings"
        tools:layout="@layout/fragment_settings" >
        <action
            android:id="@+id/action_settingsFragment_to_settingsNotificationsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsNotificationsFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_settingsAccountFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsAccountFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_settingsProfilePhotoFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsProfilePhotoFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_settingsProfileFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsProfileFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_settingsDataFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsDataFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_settingsHelpFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsHelpFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_settingsChatsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsChatsFragment" />
        <action
            android:id="@+id/action_settingsFragment_to_fragmentHome"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/fragmentHome" />
    </fragment>
    <fragment
        android:id="@+id/settingsNotificationsFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsNotificationsFragment"
        android:label="fragment_settings_notifications"
        tools:layout="@layout/fragment_settings_notifications" >
        <action
            android:id="@+id/action_settingsNotificationsFragment_to_settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsProfilePhotoFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsProfilePhotoFragment"
        android:label="fragment_settings_profile_photo"
        tools:layout="@layout/fragment_settings_profile_photo" >
        <action
            android:id="@+id/action_settingsProfilePhotoFragment_to_settingsProfileFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsProfileFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsAccountFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsAccountFragment"
        android:label="SettingsAccountFragment" >
        <action
            android:id="@+id/action_settingsAccountFragment_to_settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsProfileFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsProfileFragment"
        android:label="fragment_settings_profile"
        tools:layout="@layout/fragment_settings_profile" >
        <action
            android:id="@+id/action_settingsProfileFragment_to_settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsDataFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsDataFragment"
        android:label="SettingsDataFragment" >
        <action
            android:id="@+id/action_settingsDataFragment_to_settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsHelpFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsHelpFragment"
        android:label="SettingsHelpFragment" >
        <action
            android:id="@+id/action_settingsHelpFragment_to_settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsFragment" />
    </fragment>
    <fragment
        android:id="@+id/settingsChatsFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.settings.SettingsChatsFragment"
        android:label="SettingsChatsFragment" >
        <action
            android:id="@+id/action_settingsChatsFragment_to_settingsFragment"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/settingsFragment" />
    </fragment>
    <fragment
        android:id="@+id/estadoFragment"
        android:name="cat.itb.mainwhatsapp.Fragments.main.EstadoFragment"
        android:label="fragment_estado"
        tools:layout="@layout/fragment_estado" >
        <argument
            android:name="Estado"
            app:argType="cat.itb.mainwhatsapp.Model.Estado" />
        <action
            android:id="@+id/action_estadoFragment_to_fragmentHome"
            app:enterAnim="@anim/slide_in"
            app:exitAnim="@anim/slide_out"
            app:popEnterAnim="@anim/slide_in"
            app:popExitAnim="@anim/slide_out"
            app:destination="@id/fragmentHome" />
    </fragment>
    <fragment
        android:id="@+id/fragmentChatProfile"
        android:name="cat.itb.mainwhatsapp.Fragments.chat.FragmentChatProfile"
        android:label="FragmentChatProfile">
        <argument
            android:name="userToProfile"
            app:argType="cat.itb.mainwhatsapp.Model.User" />
    </fragment>

</navigation>
